<%@page contentType="text/html; charset=utf-8" %>
<%@page import="org.acts.member.*" %>
<%@page import="org.acts.common.*" %>

<%
if(session==null){
    session=request.getSession(true);
}

MemberSessionBean msbean=(MemberSessionBean)session.getAttribute(MemberSessionBean.BEAN_NAME);
if(msbean==null){
    msbean=new MemberSessionBean();
}

if(msbean.getMember_id().equals("")){
    String url=request.getRequestURL().toString();
    String redirect_url=url.substring(0,url.lastIndexOf("/"))+"/login.jsp";    
    
    msbean.setAlert_msg(Lang.set("You are not logined. Please click here to login."));
    msbean.setAlert_redirect_url(redirect_url);
    session.setAttribute(MemberSessionBean.BEAN_NAME,msbean);
    response.sendRedirect("../common/alert.jsp");
    return;
}
%>